<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
	  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" 
	  >
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
 
	<title>Novo cadastro de usuário</title>
 	<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<script type="text/javascript">
 
		function limparMensagem(){
 
			document.getElementById('p-mensagem-sucesso').innerHTML = '';	
			document.getElementById('p-mensagem-erro').innerHTML = '';
		}
 
	</script>
 
</head>
<body>
 

 
 <!-- MONTANDO O GRID PARA POSICIONAR O FORMULÁRIO NO CENTRO -->   
<div class="container">   
 
 
 
  <div>

 
	<form action="#" id="formulario-cadastro" th:action="@{../salvarUsuario}" th:object="${usuarioModel}" method="post">
		<fieldset>
			<ul >
 
			<!-- MENSAGEM A SER MOSTRADA APÓS EXECUTARMOS O POST -->
	 		<li th:if="${msg_resultado}">						 	
	 				<p id="p-mensagem-sucesso" th:text="${msg_resultado}" style="color: blue;" >...</p>		
	 		</li>
	 		
	 			<!-- CAMPO NOME -->
				 <li>			 		  
					 <div>
					   <input class="form-control" type="text" id="input-nome" th:field="*{nome}" onfocus="limparMensagem()"/>
					   <label for="input-nome">Nome...</label>
					   <p id="p-mensagem-erro" th:if="${#fields.hasErrors('nome')}" th:errors="*{nome}" class="erro-msg" style="color: red;">...</p>
					 </div>
				 </li>
 
				 <!-- CAMPO EMAIL -->
				 <li>			 		  
					 <div>
					   <input class="form-control" type="text" id="input-email" th:field="*{email}" onfocus="limparMensagem()"/>
					   <label for="input-email">E-mail...</label>
					   <p th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="erro-msg" style="color: red;">...</p>
					 </div>
				 </li>
			 
				 <!-- CAMPO CPF -->
	 			<li>			 		  
					 <div>
					   <input class="form-control" type="text" id="input-cpf" th:field="*{cpf}" onfocus="limparMensagem()"/>
					   <label for="input-cpf">CPF...</label>
					   <p th:if="${#fields.hasErrors('cpf')}" th:errors="*{cpf}" class="erro-msg" style="color: red;">...</p>
					 </div>
				 </li>
 				
 				<!-- CAMPO TELEFONE -->
	 			<li>			 		  
					 <div>
					   <input class="form-control" type="text" id="input-tel" th:field="*{telefone}" onfocus="limparMensagem()"/>
					   <label for="input-tel">Telefone...</label>
					   <p th:if="${#fields.hasErrors('telefone')}" th:errors="*{telefone}" class="erro-msg" style="color: red;">...</p>
					 </div>
				 </li>
	 
 
			</ul>
	 	</fieldset>
 
				<div>
				  
				  <button class="btn btn-success">Salvar</button>
				  
				 </div>  
		</form>
 
 
	</div>
</div>
 
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
	<script src="bootstrap/js/bootstrap.min.js"></script>
 
</body>
 
</html>